<h3 class="text-primary text-center pt-2 mb-0">Identifiez-vous</h3>
<form [formGroup]="form" class="px-4 py-3" (ngSubmit)="submitForm()">
  <div class="form-floating mb-3">
    <input formControlName="name" type="text" name="name"
      [ngClass]="{'is-invalid':name?.errors && name?.touched,'is-valid':!name?.errors && name?.touched}"
      class="form-control" id="name">
    <label for="name">Utilisateur</label>
    <div *ngIf="name?.errors?.['required']" id="validationName" class="invalid-feedback">
      Ce champ est requis
    </div>
  </div>
  <div class="form-floating mb-3">
    <input formControlName="password" type="password" name="password"
      [ngClass]="{'is-invalid':password?.errors && password?.touched,'is-valid':!password?.errors && password?.touched}"
      class="form-control" id="password">
    <label for="password">Mot de passe</label>
    <div *ngIf="password?.errors?.['required']" id="validationName" class="invalid-feedback">
      Ce champ est requis
    </div>
  </div>
  <div class="vstack">
    <p class="text-danger text-center">
      <span *ngIf="hasError">Identifiant/Mot de passe invalide</span>
    </p>
    <div class="d-flex justify-content-evenly">
      <button class="btn btn-secondary" (click)="close()">Fermer</button>
      <button type="submit" [disabled]="!form.valid" class="btn btn-primary">Connexion</button>
    </div>
  </div>
</form>